Bug 114736 - emacs other-frame command doesn't work
emacs other-frame command doesn't work
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Depends On:
  Show dependency treegraph
Reported: 2004-02-02 00:47 EST by Theodore C. Belding
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 21.3-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-13 10:53:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Theodore C. Belding 2004-02-02 00:47:47 EST
Description of problem:
When more than one frame is open, other-frame (C-x 5 o) should switch
between open frames, angalogous to C-x o between windows. This doesn't
work properly. I'm not sure if this is actually a problem with emacs,
or with the window manager or window manager default settings

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run emacs
2. Type "C-x 5 2" to open a new frame (focus switches to new frame)
3. Type "C-x 5 o" to switch back to original frame
Actual results:
Original frame is raised, as expected, but focus remains in second
frame (where it was before C-x 5 o)

Expected results:
Focus should be transferred back to the original frame

Additional info:
Comment 1 Jens Petersen 2004-04-15 11:54:28 EDT
Reproduced in the default click-to-focus of metacity, and under
kde wm too.

I have a feeling this has never really worked for Emacs.
XEmacs looks to be fine on this. :)

Alternatively if you don't mind you can use focus-follows-mouse
with Emacs which seems to be ok.

I recommend reporting this upstream to emacs-devel.
Comment 2 Theodore C. Belding 2004-04-15 12:01:16 EDT
I reported this upstream using the emacs bug report tool in the help
menu back in February. No response yet.
Comment 3 Theodore C. Belding 2004-04-28 19:38:36 EDT
I guess I misunderstood your comment above regarding
focus-follows-mouse. Setting that to nil does indeed fix the problem
for me, for instance by adding this to my .emacs file:

;; set focus-follows-mouse to nil (so that switching frames works
;; properly under the default click-to-focus setting in metacity)
(setq focus-follows-mouse nil)

Would it be possible to add these lines to /etc/skel/.emacs? Or change
the default setting some other way?

This seems more like an emacs configuration problem under Fedora,
rather than a bug in emacs itself, so I won't report this upstream,
unless I hear from you that I should. Thanks!

Comment 4 Jens Petersen 2004-04-30 00:00:37 EDT
Yes, good point: I will add this to default.el I think for fc3.
Thank you.
Comment 5 Jens Petersen 2004-09-29 07:29:15 EDT
Adding this in 21.3-15.
Comment 6 Jens Petersen 2004-09-29 12:33:28 EDT
Actually this change was already in default.el in 21.3-13...

Note You need to log in before you can comment on or make changes to this bug.